Skip to main content

SyncExternalUsersResponse

Response schema for the external users synced from a connected account

data object[]required

The external users synced from the connected account

  • Array [
  • emailstringnullablerequired

    The email address of the user at the provider.

    first_namestringnullablerequired

    The first name of the user at the provider.

    idstringrequired

    Unique identifier for the object.

    Possible values: Value must match regular expression ^exusr_\w{12}$

    last_namestringnullablerequired

    The last name of the user at the provider.

    objectstringrequired

    String representing the object's type.

    Possible values: [external_user]

    statusstringnullablerequired

    The status of the user at the provider. 'active' means the user is active, 'inactive' means the user is deactivated or suspended, 'pending' means the user has not yet activated their account. Additional values may be added over time.

    Possible values: [active, inactive, pending]

  • ]
  • SyncExternalUsersResponse
    {
    "data": [
    {
    "email": "dr.smith@example.com",
    "first_name": "Jane",
    "id": "exusr_d025a96ac0c6",
    "last_name": "Smith",
    "object": "external_user",
    "status": "active"
    }
    ]
    }